diff --git a/game/client/src/main/java/net/minecraft/client/input/PlayerInput.java b/game/client/src/main/java/net/minecraft/client/input/PlayerInput.java
index 0a3e3ccc9..49ad359e7 100644
--- a/game/client/src/main/java/net/minecraft/client/input/PlayerInput.java
+++ b/game/client/src/main/java/net/minecraft/client/input/PlayerInput.java
@@ -2,14 +2,12 @@ package net.minecraft.client.input;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.option.GameSettings;
-import net.minecraft.client.option.KeyBinding;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.MathHelper;
 
 public class PlayerInput {
 
 	public final Minecraft mc;
-	public final GameSettings gameSettings;
 	
 	private boolean isAutoWalkOn = false;
 	
@@ -31,97 +29,96 @@ public class PlayerInput {
 
 	public PlayerInput(Minecraft minecraft) {
 		this.mc = minecraft;
-		this.gameSettings = mc.gameSettings;
 	}
 
 	public void keyEvent(int keyCode, int mouseCode, boolean pressed) {
-		if(mc.currentScreen != null) {
+		if(this.mc.currentScreen != null) {
 			return;
 		}
 		
-		if(gameSettings.keySneak.isKeyOrMouse(keyCode, mouseCode)) {
-			if(gameSettings.sneakToggle.value && !mc.thePlayer.noPhysics) {
+		if(GameSettings.KEY_SNEAK.isKeyOrMouse(keyCode, mouseCode)) {
+			if(GameSettings.SNEAK_TOGGLE.value && !this.mc.thePlayer.noPhysics) {
 				if(pressed) {
-					sneak = !sneak;
+                    this.sneak = !this.sneak;
 				}
 			}else {
-				sneak = pressed;
+                this.sneak = pressed;
 			}
 		}
 		
-		if(gameSettings.keyForward.isKeyOrMouse(keyCode, mouseCode) ) {
-			pressedForward = pressed;
-			isAutoWalkOn = false;
+		if(GameSettings.KEY_FORWARD.isKeyOrMouse(keyCode, mouseCode) ) {
+            this.pressedForward = pressed;
+            this.isAutoWalkOn = false;
 		}
-		if(gameSettings.keyBack.isKeyOrMouse(keyCode, mouseCode)) {
-			pressedBackward = pressed;
-			isAutoWalkOn = false;
+		if(GameSettings.KEY_BACK.isKeyOrMouse(keyCode, mouseCode)) {
+            this.pressedBackward = pressed;
+            this.isAutoWalkOn = false;
 		}
-		if(gameSettings.keyLeft.isKeyOrMouse(keyCode, mouseCode)) {
-			pressedLeft = pressed;
+		if(GameSettings.KEY_LEFT.isKeyOrMouse(keyCode, mouseCode)) {
+            this.pressedLeft = pressed;
 		}
-		if(gameSettings.keyRight.isKeyOrMouse(keyCode, mouseCode)) {
-			pressedRight = pressed;
+		if(GameSettings.KEY_RIGHT.isKeyOrMouse(keyCode, mouseCode)) {
+            this.pressedRight = pressed;
 		}
-		if(gameSettings.keyJump.isKeyOrMouse(keyCode, mouseCode)) {
-			pressedJump = pressed;
+		if(GameSettings.KEY_JUMP.isKeyOrMouse(keyCode, mouseCode)) {
+            this.pressedJump = pressed;
 		}
 
-		if(gameSettings.keyAutoWalk.isKeyOrMouse(keyCode, mouseCode) && pressed) {
-			isAutoWalkOn = true;
+		if(GameSettings.KEY_AUTO_WALK.isKeyOrMouse(keyCode, mouseCode) && pressed) {
+            this.isAutoWalkOn = true;
 		}
 
-		if(gameSettings.keyEasyBridge.isKeyOrMouse(keyCode, mouseCode) && pressed) {
-			gameSettings.easyBridge.toggle();
-			mc.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.easyBridge);
+		if(GameSettings.KEY_EASY_BRIDGE.isKeyOrMouse(keyCode, mouseCode) && pressed) {
+			GameSettings.EASY_BRIDGE.toggle();
+            this.mc.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(GameSettings.EASY_BRIDGE);
 		}
 	}
 
 	public void onGameUnfocused() {
-		pressedBackward = false;
-		pressedForward = false;
-		pressedLeft = false;
-		pressedRight = false;
-		
-		pressedJump = false;
+        this.pressedBackward = false;
+        this.pressedForward = false;
+        this.pressedLeft = false;
+        this.pressedRight = false;
+
+        this.pressedJump = false;
 	}
 	
 	public void onGameFocused() {
-		if(!gameSettings.sneakToggle.value) {
-			sneak = gameSettings.keySneak.isPressed();
+		if(!GameSettings.SNEAK_TOGGLE.value) {
+            this.sneak = GameSettings.KEY_SNEAK.isPressed();
 		}
 	}
 
 	public void tick(Player entityplayer) {
-		moveStrafe = 0.0f;
-		moveForward = 0.0f;
-		jump = false;
+        this.moveStrafe = 0.0f;
+        this.moveForward = 0.0f;
+        this.jump = false;
 
-		if(gameSettings.mc.currentScreen == null && mc.controllerInput != null) {
-			moveForward = -mc.controllerInput.joyLeft.getY();
-			moveStrafe = -mc.controllerInput.joyLeft.getX();
-			jump = mc.controllerInput.buttonA.isPressed();
-			if (mc.thePlayer.noPhysics) {
-				sneak = mc.controllerInput.joyRight.getButton().isPressed();
+		if(this.mc.currentScreen == null && this.mc.controllerInput != null) {
+            this.moveForward = -this.mc.controllerInput.joyLeft.getY();
+            this.moveStrafe = -this.mc.controllerInput.joyLeft.getX();
+            this.jump = this.mc.controllerInput.buttonA.isPressed();
+			if (this.mc.thePlayer.noPhysics) {
+                this.sneak = this.mc.controllerInput.joyRight.getButton().isPressed();
 			} else {
-				if(mc.controllerInput.joyRight.getButton().pressedThisFrame()) {
-					sneak = !sneak;
+				if(this.mc.controllerInput.joyRight.getButton().pressedThisFrame()) {
+                    this.sneak = !this.sneak;
 				}
 			}
 		}
 
-		if(pressedForward || isAutoWalkOn) moveForward++;
-		if(pressedBackward) moveForward--;
-		if(pressedLeft) moveStrafe++;
-		if(pressedRight) moveStrafe--;
-		
-		jump |= pressedJump;
-		moveForward = MathHelper.clamp(moveForward, -1, 1);
-		moveStrafe = MathHelper.clamp(moveStrafe, -1, 1);
+		if(this.pressedForward || this.isAutoWalkOn) this.moveForward++;
+		if(this.pressedBackward) this.moveForward--;
+		if(this.pressedLeft) this.moveStrafe++;
+		if(this.pressedRight) this.moveStrafe--;
+
+        this.jump |= this.pressedJump;
+        this.moveForward = MathHelper.clamp(this.moveForward, -1, 1);
+        this.moveStrafe = MathHelper.clamp(this.moveStrafe, -1, 1);
 
 		if(entityplayer.isSneaking() && !entityplayer.noPhysics) {
-			moveStrafe *= 0.3;
-			moveForward *= 0.3;
+            this.moveStrafe *= 0.3f;
+            this.moveForward *= 0.3f;
 		}
 	}
 }
diff --git a/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java b/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
index 85a4a8930..5250b950e 100644
--- a/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
+++ b/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
@@ -4,6 +4,7 @@ import com.b100.utils.ReflectUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.container.ScreenContainerAbstract;
 import net.minecraft.client.input.glfw.GlfwGamepad;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.util.helper.Time;
 import org.jetbrains.annotations.NotNull;
@@ -57,109 +58,109 @@ public class ControllerInput {
         IButtonListener defaultButtonListener = controller::isButtonPressed;
         IJoystickListener defaultJoystickListener = controller::getAxisValue;
 
-        joyLeft = new Joystick(translateAxis(type, GLFW.GLFW_GAMEPAD_AXIS_LEFT_X), GLFW.GLFW_GAMEPAD_AXIS_LEFT_X, GLFW.GLFW_GAMEPAD_AXIS_LEFT_Y, defaultJoystickListener, new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_LEFT_THUMB), GLFW.GLFW_GAMEPAD_BUTTON_LEFT_THUMB, defaultButtonListener), minecraft.gameSettings.controllerDeadzoneLeft);
-        joyRight = new Joystick(translateAxis(type, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_X), GLFW.GLFW_GAMEPAD_AXIS_RIGHT_X, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_Y, defaultJoystickListener, new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_THUMB), GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_THUMB, defaultButtonListener), minecraft.gameSettings.controllerDeadzoneRight);
+        this.joyLeft = new Joystick(translateAxis(this.type, GLFW.GLFW_GAMEPAD_AXIS_LEFT_X), GLFW.GLFW_GAMEPAD_AXIS_LEFT_X, GLFW.GLFW_GAMEPAD_AXIS_LEFT_Y, defaultJoystickListener, new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_LEFT_THUMB), GLFW.GLFW_GAMEPAD_BUTTON_LEFT_THUMB, defaultButtonListener), GameSettings.CONTROLLER_DEADZONE_LEFT);
+        this.joyRight = new Joystick(translateAxis(this.type, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_X), GLFW.GLFW_GAMEPAD_AXIS_RIGHT_X, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_Y, defaultJoystickListener, new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_THUMB), GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_THUMB, defaultButtonListener), GameSettings.CONTROLLER_DEADZONE_RIGHT);
 
-        buttonBack = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_BACK), GLFW.GLFW_GAMEPAD_BUTTON_BACK, defaultButtonListener);
-        buttonStart = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_START), GLFW.GLFW_GAMEPAD_BUTTON_START, defaultButtonListener);
+        this.buttonBack = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_BACK), GLFW.GLFW_GAMEPAD_BUTTON_BACK, defaultButtonListener);
+        this.buttonStart = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_START), GLFW.GLFW_GAMEPAD_BUTTON_START, defaultButtonListener);
 
-        if (minecraft.gameSettings.controllerSwapAB.value) {
-            buttonA = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_A), GLFW.GLFW_GAMEPAD_BUTTON_B, defaultButtonListener);
-            buttonB = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_B), GLFW.GLFW_GAMEPAD_BUTTON_A, defaultButtonListener);
+        if (GameSettings.CONTROLLER_SWAP_AB.value) {
+            this.buttonA = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_A), GLFW.GLFW_GAMEPAD_BUTTON_B, defaultButtonListener);
+            this.buttonB = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_B), GLFW.GLFW_GAMEPAD_BUTTON_A, defaultButtonListener);
         } else {
-            buttonA = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_A), GLFW.GLFW_GAMEPAD_BUTTON_A, defaultButtonListener);
-            buttonB = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_B), GLFW.GLFW_GAMEPAD_BUTTON_B, defaultButtonListener);
+            this.buttonA = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_A), GLFW.GLFW_GAMEPAD_BUTTON_A, defaultButtonListener);
+            this.buttonB = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_B), GLFW.GLFW_GAMEPAD_BUTTON_B, defaultButtonListener);
         }
 
-        if (minecraft.gameSettings.controllerSwapXY.value) {
-            buttonX = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_X), GLFW.GLFW_GAMEPAD_BUTTON_Y, defaultButtonListener);
-            buttonY = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_Y), GLFW.GLFW_GAMEPAD_BUTTON_X, defaultButtonListener);
+        if (GameSettings.CONTROLLER_SWAP_XY.value) {
+            this.buttonX = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_X), GLFW.GLFW_GAMEPAD_BUTTON_Y, defaultButtonListener);
+            this.buttonY = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_Y), GLFW.GLFW_GAMEPAD_BUTTON_X, defaultButtonListener);
         } else {
-            buttonX = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_X), GLFW.GLFW_GAMEPAD_BUTTON_X, defaultButtonListener);
-            buttonY = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_Y), GLFW.GLFW_GAMEPAD_BUTTON_Y, defaultButtonListener);
+            this.buttonX = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_X), GLFW.GLFW_GAMEPAD_BUTTON_X, defaultButtonListener);
+            this.buttonY = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_Y), GLFW.GLFW_GAMEPAD_BUTTON_Y, defaultButtonListener);
         }
 
-        if (minecraft.gameSettings.controllerSwapShoulderButtons.value) {
-            buttonLeftShoulder = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER, defaultButtonListener);
-            buttonRightShoulder = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER, defaultButtonListener);
+        if (GameSettings.CONTROLLER_SWAP_SHOULDER_BUTTONS.value) {
+            this.buttonLeftShoulder = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER, defaultButtonListener);
+            this.buttonRightShoulder = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER, defaultButtonListener);
 
-            buttonLeftTrigger = new Button(translateAxis(type, GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
-            buttonRightTrigger = new Button(translateAxis(type, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
+            this.buttonLeftTrigger = new Button(translateAxis(this.type, GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
+            this.buttonRightTrigger = new Button(translateAxis(this.type, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
         } else {
-            buttonLeftShoulder = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER, defaultButtonListener);
-            buttonRightShoulder = new Button(translateBtn(type, GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER, defaultButtonListener);
+            this.buttonLeftShoulder = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER, defaultButtonListener);
+            this.buttonRightShoulder = new Button(translateBtn(this.type, GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER), GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER, defaultButtonListener);
 
-            buttonLeftTrigger = new Button(translateAxis(type, GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
-            buttonRightTrigger = new Button(translateAxis(type, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
+            this.buttonLeftTrigger = new Button(translateAxis(this.type, GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
+            this.buttonRightTrigger = new Button(translateAxis(this.type, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER), GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER, (axis) -> this.controller.getAxisValue(axis) > 0.5f);
         }
 
-        digitalPad = new DigitalPad(
+        this.digitalPad = new DigitalPad(
             new Button("Digital Up", GLFW.GLFW_GAMEPAD_BUTTON_DPAD_UP, defaultButtonListener),
             new Button("Digital Left", GLFW.GLFW_GAMEPAD_BUTTON_DPAD_LEFT, defaultButtonListener),
             new Button("Digital Down", GLFW.GLFW_GAMEPAD_BUTTON_DPAD_DOWN, defaultButtonListener),
             new Button("Digital Right", GLFW.GLFW_GAMEPAD_BUTTON_DPAD_RIGHT, defaultButtonListener)
         );
 
-        buttons = ReflectUtils.getAllObjects(ControllerInput.class, Button.class, this);
-        joysticks = ReflectUtils.getAllObjects(ControllerInput.class, Joystick.class, this);
+        this.buttons = ReflectUtils.getAllObjects(ControllerInput.class, Button.class, this);
+        this.joysticks = ReflectUtils.getAllObjects(ControllerInput.class, Joystick.class, this);
     }
 
     public String getGUID() {
-        return controller.getGuid();
+        return this.controller.getGuid();
     }
 
     public ControllerType getType() {
-        return type;
+        return this.type;
     }
 
     public void moveCursor() {
-        if (lockCursor) return;
-        double speed = 300 * Time.delta * (minecraft.gameSettings.controllerMenuSensitivity.value + 0.5f);
+        if (this.lockCursor) return;
+        double speed = 300 * Time.delta * (GameSettings.CONTROLLER_MENU_SENSITIVITY.value + 0.5f);
 
-        cursorX += ((Math.pow(joyLeft.getX(), 3.0f) + joyLeft.getX()) / 2.0f) * speed;
-        cursorY += ((Math.pow(joyLeft.getY(), 3.0f) + joyLeft.getY()) / 2.0f) * speed;
+        this.cursorX += ((Math.pow(this.joyLeft.getX(), 3.0f) + this.joyLeft.getX()) / 2.0f) * speed;
+        this.cursorY += ((Math.pow(this.joyLeft.getY(), 3.0f) + this.joyLeft.getY()) / 2.0f) * speed;
 
-        cursorX = Math.max(cursorX, 0);
-        cursorY = Math.max(cursorY, 0);
+        this.cursorX = Math.max(this.cursorX, 0);
+        this.cursorY = Math.max(this.cursorY, 0);
 
-        cursorX = Math.min(cursorX, minecraft.resolution.getScaledWidthScreenCoords());
-        cursorY = Math.min(cursorY, minecraft.resolution.getScaledHeightScreenCoords());
+        this.cursorX = Math.min(this.cursorX, this.minecraft.resolution.getScaledWidthScreenCoords());
+        this.cursorY = Math.min(this.cursorY, this.minecraft.resolution.getScaledHeightScreenCoords());
     }
 
     public boolean hasAnyInput() {
-        return controller.hasAnyInput();
+        return this.controller.hasAnyInput();
     }
 
     public GlfwGamepad getController() {
-        return controller;
+        return this.controller;
     }
 
     public void update() {
-        if (disconnected || !controller.isPresent()) {
+        if (this.disconnected || !this.controller.isPresent()) {
             this.disconnected = true;
             throw new RuntimeException("Controller Disconnected!");
         }
 
-        for (int i = 0; i < buttons.length; i++) {
-            buttons[i].update();
+        for (int i = 0; i < this.buttons.length; i++) {
+            this.buttons[i].update();
         }
-        for (int i = 0; i < joysticks.length; i++) {
-            joysticks[i].update();
+        for (int i = 0; i < this.joysticks.length; i++) {
+            this.joysticks[i].update();
         }
-        digitalPad.update();
+        this.digitalPad.update();
     }
 
     public Slot getSlotAtCursor(ScreenContainerAbstract screen) {
-        return getSlotAt((int) cursorX, (int) cursorY, screen);
+        return getSlotAt((int) this.cursorX, (int) this.cursorY, screen);
     }
 
     public Slot getSlotAt(int x, int y, ScreenContainerAbstract screen) {
         for (Slot slot : screen.inventorySlots.slots) {
-            int mx = (int) cursorX;
-            int my = (int) cursorY;
+            int mx = (int) this.cursorX;
+            int my = (int) this.cursorY;
 
-            int slotX = (slot.x + (minecraft.resolution.getScaledWidthScreenCoords() - screen.xSize) / 2) - 2;
-            int slotY = (slot.y + (minecraft.resolution.getScaledHeightScreenCoords() - screen.ySize) / 2) - 2;
+            int slotX = (slot.x + (this.minecraft.resolution.getScaledWidthScreenCoords() - screen.xSize) / 2) - 2;
+            int slotY = (slot.y + (this.minecraft.resolution.getScaledHeightScreenCoords() - screen.ySize) / 2) - 2;
 
             if (mx > slotX && my > slotY && mx < slotX + 20 && my < slotY + 20) {
                 return slot;
@@ -175,163 +176,90 @@ public class ControllerInput {
     public void snapToSlot(ScreenContainerAbstract screen, Slot slot) {
         if (slot == null) return;
 
-        int slotX = (slot.x + (minecraft.resolution.getScaledWidthScreenCoords() - screen.xSize) / 2) - 1;
-        int slotY = (slot.y + (minecraft.resolution.getScaledHeightScreenCoords() - screen.ySize) / 2) - 1;
+        int slotX = (slot.x + (this.minecraft.resolution.getScaledWidthScreenCoords() - screen.xSize) / 2) - 1;
+        int slotY = (slot.y + (this.minecraft.resolution.getScaledHeightScreenCoords() - screen.ySize) / 2) - 1;
 
         //Snap to Slot
-        cursorX = slotX + 8;
-        cursorY = slotY + 8;
+        this.cursorX = slotX + 8;
+        this.cursorY = slotY + 8;
     }
 
     public void cancelButtonPresses() {
-        for (Button button : buttons) {
+        for (Button button : this.buttons) {
             button.cancelButtonPress();
         }
     }
 
     private String translateAxis(ControllerType controllerType, int axis) {
-        switch (axis) {
-            case GLFW.GLFW_GAMEPAD_AXIS_LEFT_X:
-            case GLFW.GLFW_GAMEPAD_AXIS_LEFT_Y:
-                return "Analog Left";
-            case GLFW.GLFW_GAMEPAD_AXIS_RIGHT_X:
-            case GLFW.GLFW_GAMEPAD_AXIS_RIGHT_Y:
-                return "Analog Right";
-            case GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "L2";
-                    case SWITCH:
-                        return "ZL";
-                    default:
-                        return "LT";
-                }
-            case GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "R2";
-                    case SWITCH:
-                        return "ZR";
-                    default:
-                        return "RT";
-                }
-            default:
-                return "Axis " + axis;
-        }
+        return switch (axis) {
+            case GLFW.GLFW_GAMEPAD_AXIS_LEFT_X, GLFW.GLFW_GAMEPAD_AXIS_LEFT_Y -> "Analog Left";
+            case GLFW.GLFW_GAMEPAD_AXIS_RIGHT_X, GLFW.GLFW_GAMEPAD_AXIS_RIGHT_Y -> "Analog Right";
+            case GLFW.GLFW_GAMEPAD_AXIS_LEFT_TRIGGER -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "L2";
+                case SWITCH -> "ZL";
+                default -> "LT";
+            };
+            case GLFW.GLFW_GAMEPAD_AXIS_RIGHT_TRIGGER -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "R2";
+                case SWITCH -> "ZR";
+                default -> "RT";
+            };
+            default -> "Axis " + axis;
+        };
     }
 
     private String translateBtn(ControllerType controllerType, int button) {
-        switch (button) {
-            case GLFW.GLFW_GAMEPAD_BUTTON_A:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "X";
-                    case SWITCH:
-                        return "B";
-                    default:
-                        return "A";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_B:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "O";
-                    case SWITCH:
-                        return "A";
-                    default:
-                        return "B";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_X:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "□";
-                    case SWITCH:
-                        return "Y";
-                    default:
-                        return "X";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_Y:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "△";
-                    case SWITCH:
-                        return "X";
-                    default:
-                        return "Y";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_BACK:
-                switch (controllerType) {
-                    case XBOX_ONE:
-                        return "View";
-                    case PS3:
-                        return "Select";
-                    case PS4:
-                    case PS5:
-                        return "Share";
-                    case SWITCH:
-                        return "-";
-                    default:
-                        return "Back";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_START:
-                switch (controllerType) {
-                    case XBOX_ONE:
-                        return "Menu";
-                    case PS4:
-                    case PS5:
-                        return "Options";
-                    case SWITCH:
-                        return "+";
-                    default:
-                        return "Start";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "L1";
-                    case SWITCH:
-                        return "L";
-                    default:
-                        return "LB";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER:
-                switch (controllerType) {
-                    case PS3:
-                    case PS4:
-                    case PS5:
-                        return "R1";
-                    case SWITCH:
-                        return "R";
-                    default:
-                        return "RB";
-                }
-            case GLFW.GLFW_GAMEPAD_BUTTON_LEFT_THUMB:
-                return "Left Stick";
-            case GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_THUMB:
-                return "Right Stick";
-            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_UP:
-                return "Digital Up";
-            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_DOWN:
-                return "Digital Down";
-            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_LEFT:
-                return "Digital Left";
-            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_RIGHT:
-                return "Digital Right";
-            default:
-                return "Button " + button;
-        }
+        return switch (button) {
+            case GLFW.GLFW_GAMEPAD_BUTTON_A -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "X";
+                case SWITCH -> "B";
+                default -> "A";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_B -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "O";
+                case SWITCH -> "A";
+                default -> "B";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_X -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "□";
+                case SWITCH -> "Y";
+                default -> "X";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_Y -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "△";
+                case SWITCH -> "X";
+                default -> "Y";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_BACK -> switch (controllerType) {
+                case XBOX_ONE -> "View";
+                case PS3 -> "Select";
+                case PS4, PS5 -> "Share";
+                case SWITCH -> "-";
+                default -> "Back";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_START -> switch (controllerType) {
+                case XBOX_ONE -> "Menu";
+                case PS4, PS5 -> "Options";
+                case SWITCH -> "+";
+                default -> "Start";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_LEFT_BUMPER -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "L1";
+                case SWITCH -> "L";
+                default -> "LB";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER -> switch (controllerType) {
+                case PS3, PS4, PS5 -> "R1";
+                case SWITCH -> "R";
+                default -> "RB";
+            };
+            case GLFW.GLFW_GAMEPAD_BUTTON_LEFT_THUMB -> "Left Stick";
+            case GLFW.GLFW_GAMEPAD_BUTTON_RIGHT_THUMB -> "Right Stick";
+            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_UP -> "Digital Up";
+            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_DOWN -> "Digital Down";
+            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_LEFT -> "Digital Left";
+            case GLFW.GLFW_GAMEPAD_BUTTON_DPAD_RIGHT -> "Digital Right";
+            default -> "Button " + button;
+        };
     }
 }
